> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company

> Get impact data for a specific company



## OpenAPI

````yaml get /v2/impact/companies/{identifier}
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/impact/companies/{identifier}:
    get:
      tags:
        - Impact
      summary: Get a company
      description: Get impact data for a specific company
      parameters:
        - schema:
            type: string
            minLength: 1
            description: Unique identifier of the company.
          required: true
          description: Unique identifier of the company.
          name: identifier
          in: path
      responses:
        '200':
          description: Get impact data for a specific company response
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    nullable: true
                    description: MongoDB ObjectId of the company.
                  domain:
                    type: string
                    nullable: true
                    description: Company's domain name.
                  nameOfFirm:
                    type: string
                    nullable: true
                    description: Name of the firm.
                  addressLine1:
                    type: string
                    nullable: true
                    description: Primary address line.
                  addressLine2:
                    type: string
                    nullable: true
                    description: Secondary address line.
                  city:
                    type: string
                    nullable: true
                    description: City where the company is located.
                  phoneNumber:
                    type: string
                    nullable: true
                    description: Primary phone number of the company.
                  eMailAddress:
                    type: string
                    nullable: true
                    description: Primary email address of the company.
                  yearEstablished:
                    type: string
                    nullable: true
                    description: Year the company was established.
                  keywords:
                    type: array
                    nullable: true
                    items:
                      type: string
                    description: Keywords associated with the company.
                  naicsCodes:
                    type: array
                    nullable: true
                    items:
                      type: number
                    description: List of NAICS codes for the company.
                  naicsDescriptions:
                    type: array
                    nullable: true
                    items:
                      type: string
                    description: Descriptions for the company's NAICS codes.
                  description:
                    type: string
                    nullable: true
                    description: Brief description of the company.
                  certifications:
                    type: array
                    nullable: true
                    items:
                      type: string
                    description: Verified certifications held by the company.
                  unverifiedCertifications:
                    type: array
                    nullable: true
                    items:
                      type: string
                    description: Unverified certifications claimed by the company.
                  revenue:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: number
                        nullable: true
                        description: Revenue bracket identifier.
                      label:
                        type: string
                        nullable: true
                        description: Label for the revenue range.
                      actual:
                        type: object
                        nullable: true
                        properties:
                          value:
                            type: number
                            nullable: true
                            description: Actual revenue amount.
                          currency:
                            type: string
                            nullable: true
                            description: Currency for the revenue amount.
                    description: Revenue information of the company.
                  size:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: number
                        nullable: true
                        description: Size bracket identifier.
                      label:
                        type: string
                        nullable: true
                        description: Label for the company size range.
                      actual:
                        type: number
                        nullable: true
                        description: Actual number of employees.
                    description: Company size information.
                  location:
                    type: object
                    nullable: true
                    properties:
                      state:
                        type: object
                        nullable: true
                        properties:
                          _id:
                            type: string
                            nullable: true
                            description: MongoDB ObjectId for the state.
                          type:
                            type: string
                            nullable: true
                            description: Type of state location.
                          name:
                            type: string
                            nullable: true
                            description: State name.
                          code:
                            type: string
                            nullable: true
                            description: State code abbreviation.
                          country:
                            type: string
                            nullable: true
                            description: Country the state belongs to.
                      country:
                        type: object
                        nullable: true
                        properties:
                          _id:
                            type: string
                            nullable: true
                            description: MongoDB ObjectId for the country.
                          type:
                            type: string
                            nullable: true
                            description: Type of country location.
                          name:
                            type: string
                            nullable: true
                            description: Country name.
                          code:
                            type: string
                            nullable: true
                            description: Country code abbreviation.
                    description: Location details of the company.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                INVALID_INPUT:
                  value:
                    success: false
                    errorCode: INVALID_INPUT
                    message: Bad Request
        '404':
          description: Company not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                NOT_FOUND:
                  value:
                    success: false
                    errorCode: NOT_FOUND
                    message: Company not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````